## org.apache.batik.gvt.renderer
Interface ImageRenderer

All Superinterfaces:
  Renderer

All Known Implementing Classes:
  StaticRenderer

public interface ImageRenderer
extends Renderer

Interface for GVT Renderers that render into raster images.

Method Summary
`void` `clearOffScreen()` Tells renderer to clear current contents of offscreen buffer
`void` `flush()` Flush any cached image data (preliminary interface).
`void` `flush(java.util.Collection areas)` Flush a list of rectangles of cached image data (preliminary interface).
`void` `flush(java.awt.Rectangle r)` Flush a rectangle of cached image data (preliminary interface).
`java.awt.image.BufferedImage` `getOffScreen()` Get the Current offscreen buffer used for rendering
`void` `updateOffScreen(int width, int height)` Update the required size of the offscreen buffer.

Methods inherited from interface org.apache.batik.gvt.renderer.Renderer
`dispose, getTransform, getTree, isDoubleBuffered, repaint, repaint, setDoubleBuffered, setTransform, setTree`

Method Detail

### updateOffScreen

    public void updateOffScreen(int width,
                                int height)

  Update the required size of the offscreen buffer.

### getOffScreen

    public java.awt.image.BufferedImage getOffScreen()

  Get the Current offscreen buffer used for rendering

### clearOffScreen

    public void clearOffScreen()

  Tells renderer to clear current contents of offscreen buffer

### flush

    public void flush()

  Flush any cached image data (preliminary interface).

### flush

    public void flush(java.awt.Rectangle r)

  Flush a rectangle of cached image data (preliminary interface).

### flush

    public void flush(java.util.Collection areas)

  Flush a list of rectangles of cached image data (preliminary interface). Each area are transformed via the usr2dev's renderer transform before the flush(Rectangle) is called.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.